@charset "UTF-8";

/*共通部分*/
html {
    font-size: 100%;
}
body {
    font-family: 'Roboto', sans-serif;
    line-height: 1.7;
    color: #432;
}
header{
    background-color: #FFE4EF;
}

/*color*/
.blue{
    color: #4285f4;
}
.red{
    color:#ea4335;
}
.yellow{
    color:#fbbc05;
}
.green{
    color: #34a853;
}

/*main*/
h1{
    text-align: center;
    font-size: 100px;
    padding-top: 4px;
    border-radius: 4px;
    font-weight: 2000;
    margin-top: 120px;
}

.hiigled{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    height:60px;
    border:1px solid #dcdcdc;
    border-radius: 30px;
    box-shadow:0 1px 6px rgba(32,33,36,.15);
    width: 750px;
}

.search{
    width:570px;
    padding:0px 3px;
    border-radius:30px;
    font-size:16px;
    border:none;
    outline:none;
}

.search-box:hover{
  box-shadow:0 1px 6px rgba(32,33,36,.28);
  border-color:rgba(223,225,229,0);
}

.search-box:focus{
  box-shadow:0 1px 6px rgba(32,33,36,.28);
  border-color:rgba(223,225,229,0);
}

.AI{
    background-color: rgb(237, 234, 234);
    border: none;
    cursor:pointer;
    border-radius: 8px;
    font-size: 15px;
    vertical-align: middle;
}
.AI:hover{
    background-color: white;
}

.ahig{
    text-decoration: none;
}
.ahig2{
    text-decoration: none;
    margin-right: 10px;
}

.ahig3:hover{
    border-radius: 50%;
    background-color: rgb(237, 234, 234);
}

.ahig3{
    margin-left: 3px;
    vertical-align: middle;
}

.ahig4:hover{
    border-radius: 50%;
    background-color: rgb(237, 234, 234);
}

.ahig4{
    vertical-align: middle;
}

/*下のアイコン*/
.hiigled2{
    margin: 70px auto 0;
    display: flex;
    justify-content: center;
    gap: 2rem;
    flex-wrap: wrap;
    max-width: 700px;
}
.ahig6{
    text-decoration: none;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100px;
    height: 100px;
    flex-direction: column;
    
}

.ahig5{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: rgb(240, 239, 239);
    align-items: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.ahig6:hover{
    background-color: rgb(240, 239, 239);
}


.icon{
    margin-top: 5px;
    font-size: 15px;
    color: black;
}

@media (max-width: 600px){
    h1{
        margin-top: 30px;
        margin-bottom: 10px;
    }
    .hiigled{
        width: 350px;
        height: 70px;
    }
    .search{
        width: 200px;
    }
    .AI{
        width:40px;
    }
}